<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{blocks/layout}">
<head>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>
    <title>Regulations</title>
</head>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<div layout:fragment="content" class="page">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <h1 class="reg-header">Регламенты и ГОСТы</h1>
        </div>
        <div class="row mt-5">
            <div class="col">
                <nav class="d-flex flex-column overflow-auto nav-regs reg-scrollbar-main">
                    <div th:each="regulation : ${regulations}" class="nav-reg">
                        <a th:href="@{/regulations/{id}(id=${regulation.id})}" class="nav-reg-content text-decoration-none">
                            <h5 th:text="${'&laquo;'+ regulation.title + '&raquo;'}"></h5>
                        </a>

                        <div sec:authorize="isAuthenticated()" class="float-right mb-3 mr-3">
                            <a th:href="@{/reg-delete/{id}(id=${regulation.id})}" class="mr-3">Редактировать</a>
                            <a th:href="@{/reg-delete/{id}(id=${regulation.id})}">Удалить</a>
                        </div>
                    </div>

                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности упаковки&raquo;</h5>-->
                    <!--                        <a href="#">Редактировать</a>-->
                    <!--                    </a>-->

                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности вскрытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности открытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности закрытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности упаковки&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности упаковки&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности вскрытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности открытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности закрытия&raquo;</h5>-->
                    <!--                    </a>-->
                    <!--                    <a href="regulations/1" class="nav-reg text-decoration-none">-->
                    <!--                        <h5 class="card-title">&laquo;О безопасности упаковки&raquo;</h5>-->
                    <!--                    </a>-->
                </nav>
            </div>
            <div class="col-md-8">
                <div sec:authorize="isAnonymous()" class="chosen-reg-body">
                    <h3 class="chosen-reg-title" th:text="${chosenReg.title}"></h3>

                    <div class="chosen-reg-content" th:utext="${chosenReg.content}"></div>
                </div>

                <form sec:authorize="isAuthenticated()" method="post" th:object="${chosenReg}">

                    <div class="form-group">
                        <label for="title">Название:</label>
                        <input type="text" id="title" placeholder="Title" autocomplete="off" class="form-control"
                               th:field="*{title}"/>
                    </div>

                    <div class="form-group">
                        <label for="content">Текст:</label>
                        <textarea type="text" rows="4" id="content" placeholder="Content" class="form-control"
                                  th:field="*{content}" autocomplete="off"></textarea>
                    </div>

                    <button class="btn btn-primary" type="submit">Добавить</button>
                </form>
            </div>
        </div>
    </div>

    <script>
        $('#content').summernote({
            height: 200,
            // callbacks: {
            //     onImageUpload: function(files) {
            //         uploadFile(files[0]);
            //     }
            // }
        });

        // function uploadFile(file) {
        //     data = new FormData();
        //     data.append("file", file);
        //     console.log("Загрузили");
        //     $.ajax({
        //         data: data,
        //         type: "POST",
        //         url: "http://localhost/",
        //         cache: false,
        //         contentType: false,
        //         processData: false,
        //         success: function(url) {
        //             $('#summernote').summernote("insertImage", url);
        //         }
        //     });
        //     console.log("Отправили");
        // }
    </script>
</div>

